%define _disable_ld_no_undefined 1
 
Name:           sequencer64
Version:        0.90.5
Release:        %mkrel 3
Summary:        A minimal loop based midi sequencer
License:        GPLv2+
Group:          Sound/Midi
URL:            https://github.com/ahlstromcj/sequencer64
Source0:        https://github.com/ahlstromcj/sequencer64/archive/%{version}/%{name}-%{version}.tar.gz
Source1:        sequencer64.svg
Source2:        sequencer64.png

BuildRequires:  pkgconfig(alsa)
BuildRequires:  pkgconfig(gtkmm-2.4)
BuildRequires:  pkgconfig(sigc++-2.0)
BuildRequires:  pkgconfig(jack)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(gail)
BuildRequires:  doxygen
BuildRequires:  graphviz
Requires:       at-spi2-core

%description
%{name} is a minimal loop based midi sequencer.
It is a major reboot of Seq24, with new features and bug fixes.

%prep
%setup -q

%build
./bootstrap
%configure
%make_build

%install
%make_install

install -p -Dm0644 %SOURCE1 %{buildroot}%{_datadir}/icons/hicolor/scalable/apps/sequencer64.svg
install -p -Dm0644 %SOURCE2 %{buildroot}%{_datadir}/icons/hicolor/256x256/apps/sequencer64.png

desktop-file-install \
    --set-key=Icon --set-value="%{name}" \
    --dir %{buildroot}%{_datadir}/applications \
    debian/%{name}.desktop

%files
%doc ChangeLog NEWS README README.jack TODO
%{_bindir}/seq64
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_datadir}/icons/hicolor/256x256/apps/%{name}.png
%{_includedir}/%{name}-0.90/
%{_libdir}/%{name}-0.90/
%{_mandir}/man1/seq64.1.xz
%{_mandir}/man1/sequencer64.1.xz



%changelog
* Fri Feb 14 2020 umeabot <umeabot> 0.90.5-3.mga8
+ Revision: 1516912
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 0.90.5-2.mga7
+ Revision: 1300998
- Mageia 7 Mass Rebuild

* Wed May 24 2017 animtim <animtim> 0.90.5-1.mga6
+ Revision: 1104462
- update desktop file
- add new icon
- imported package sequencer64

